/**
 * Created on Jun 18, 2005
 * $id:  $
 */
package org.jvnet.lookout.ui.core.tree;

import java.io.Serializable;

import org.jvnet.lookout.core.model.SearchResultProperty;


public class SearchResultDetail extends TreeObject implements Serializable {

    private SearchResultProperty property;
    private Object value;

    public SearchResultDetail() {
        super();
    }

    public SearchResultDetail(String name) {
        super(name);
    }

    public SearchResultProperty getProperty() {
        return property;
    }
    
    public void setProperty(SearchResultProperty property) {
        this.property = property;        
    }

    public Object getValue() {
        return this.value;
    }

    public void setValue(Object value) {
        this.value = value;
    }   
    
    public String toString() {

        if(null == value) {
            return super.toString();
        } else {
            return value.toString();
        }
    }
    
    
}
